CompileError

Hi everyone … just did my update as usual (1.31.2) and received this output:

CompileError: WebAssembly.compile(): Compiling function #66 failed: Wasm SIMD unsupported @+5368

n8n runs so I don’t know what might this might result in.

It looks like your topic is missing some important information. Could you provide the following if applicable.

  • n8n version:
  • Database (default: SQLite):
  • n8n EXECUTIONS_PROCESS setting (default: own, main):
  • Running n8n via (Docker, npm, n8n cloud, desktop app):
  • Operating system:

Do you have any other logs from the error?

I will escalate this as I don’t think I’ll be able to help you here

Thanks Liam, I am no canny dev … just thought somebody should have heard about it.

Hi @daniello :wave: Looks like this was reported in another thread, and we’ll need to do a patch update to fix this:

It looks like a package we use is causing the issue so we may need to either raise an issue there or find a way to work around this - for now, if you downgrade to 1.30.0, you should be able to use n8n.

1 Like